## mate-terminal 1.26.1

=== meson_options.txt ===
option('skey',
  type: 'boolean', value: true,
  description: 'whether to enable s/key support')

option('sm',
  type: 'boolean', value: true,
  description: 'session management support, for embedded/size-sensitive custom non-MATE builds')

## mate-terminal 1.2.1

=== debian/changelog ===
mate-terminal (1.2.1-2+precise) precise; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 21:14:38 -0400

mate-terminal (1.2.1-1) unstable; urgency=low

  * Fixed compilation error.

 -- Steve Zesch <stevezesch2@gmail.com>  Mon, 12 Mar 2012 21:52:38 -0400

mate-terminal (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 07 Mar 2012 23:03:22 +0100

mate-terminal (1.1.0-2) unstable; urgency=low

  * Fix some lintian errors/warnings.
  * Add script to link to x-terminal-emulator with update-alternatives.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 22 Jan 2012 19:19:48 +0100

mate-terminal (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 11 Dec 2011 11:52:01 +0100

mate-terminal (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 06 Nov 2011 10:23:09 +0100

mate-terminal (2011.10.30-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 30 Oct 2011 15:47:05 +0100

=== debian/control ===
Source: mate-terminal
Section: mate
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Steve Zesch <stevezesch2@gmail.com>
Standards-Version: 3.9.3
Build-Depends: cdbs,
               debhelper (>= 8),
               intltool,
               libx11-dev,
               libgtk2.0-dev,
               libglib2.0-dev,
               libvte-dev,
               scrollkeeper,
               libsm-dev,
               docbook-to-man,
               mate-doc-utils,
               mate-doc-utils-gnome | gnome-doc-utils,
               libmateconf-dev,
               libdbus-glib-1-dev,
               mate-common
Homepage: http://www.mate-desktop.org

Package: mate-terminal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mate-conf (>= 1.1.0),
         mate-terminal-common (= ${source:Version})
Provides: x-terminal-emulator
Description: MATE terminal emulator application
 MATE Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the MATE environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 MATE Terminal features the ability to use multiple terminals in a single
 window (tabs) and profiles support.

Package: mate-terminal-common
Architecture: all
Depends: ${misc:Depends}
Breaks: mate-terminal (<< 1.1.0-2)
Replaces: mate-terminal (<< 1.1.0-2)
Description: MATE terminal emulator application (common files)
 MATE Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the MATE environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 MATE Terminal features the ability to use multiple terminals in a single
 window (tabs) and profiles support.
 .
 This package contains the architecture independent files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_ARGS += --list-missing

DEB_CONFIGURE_SCRIPT := ./autogen.sh

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --disable-static

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR) MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

binary-install/mate-terminal::
	mkdir -p debian/mate-terminal/usr/share/mateconf/schemas
	mateconf-merge-schema "debian/mate-terminal/usr/share/mateconf/schemas/mate-terminal.schemas" \
		--domain mate-terminal debian/tmp/etc/mateconf/schemas/*.schemas
	rm -rf debian/tmp/etc/mateconf/

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-terminal 1.6.1

=== debian/changelog ===
mate-terminal (1.6.1-1.1+lmde) unstable; urgency=low

  * Rebuild for new dconf library in Jessie.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 03 Jul 2013 12:53:13 +0200

mate-terminal (1.6.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Scott Balneaves <sbalneav@ltsp.org>  Tue, 09 Apr 2013 09:03:52 -0500

mate-terminal (1.6.0-2) unstable; urgency=low

  * Add missing man page.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sat, 06 Apr 2013 21:48:40 +0200

mate-terminal (1.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 01 Apr 2013 11:28:55 +0200

mate-terminal (1.5.1-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sat, 23 Mar 2013 14:59:17 +0100

mate-terminal (1.5.0-1) unstable; urgency=low

  * New upstream development release.
  * Drop mateconf dependency.
  * Add mate-terminal-dbg package.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 17 Jan 2013 22:13:22 +0100

mate-terminal (1.4.0-1) unstable; urgency=low

  * New upstream release. 

 -- Steve Zesch <stevezesch2@gmail.com>  Sun, 15 Jul 2012 13:27:27 -0400

mate-terminal (1.2.1-2) unstable; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 21:14:38 -0400

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
                docbook-to-man,
                mate-doc-utils,
                mate-doc-utils-gnome | gnome-doc-utils,
-               libmateconf-dev,
                libdbus-glib-1-dev,
+               libdconf-dev,
                mate-common
 Homepage: http://www.mate-desktop.org
 
@@ -25,7 +25,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         mate-conf (>= 1.1.0),
          mate-terminal-common (= ${source:Version})
 Provides: x-terminal-emulator
 Description: MATE terminal emulator application
@@ -54,3 +53,15 @@
  window (tabs) and profiles support.
  .
  This package contains the architecture independent files.
+
+Package: mate-terminal-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends},
+         mate-terminal (= ${binary:Version})
+Description: MATE terminal emulator application (debugging symbols)
+ This package contains debugging symbols for mate-terminal. It is
+ provided to help debugging problem in the terminal emulator. The
+ debugging symbols are installed in /usr/lib/debug and will
+ automatically be used by gdb.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_ARGS += --list-missing

DEB_CONFIGURE_SCRIPT := ./autogen.sh

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --disable-static

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-terminal 1.8.0

=== debian/changelog ===
mate-terminal (1.8.0-0+qiana) qiana; urgency=low

  * New upstream release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 06 Mar 2014 23:25:55 +0100

mate-terminal (1.7.90-1) unstable; urgency=low

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 19 Feb 2014 19:02:22 +0100

mate-terminal (1.7.2-1) unstable; urgency=low

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 13 Feb 2014 22:38:07 +0100

mate-terminal (1.7.1-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano <stefano@karapetsas.com>  Thu, 16 Jan 2014 17:08:52 +0100

mate-terminal (1.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 05 Nov 2013 19:22:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,19 @@
 Priority: optional
 Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
 Uploaders: Steve Zesch <stevezesch2@gmail.com>
-Standards-Version: 3.9.3
-Build-Depends: cdbs,
-               debhelper (>= 8),
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
                intltool,
                libx11-dev,
                libgtk2.0-dev,
                libglib2.0-dev,
                libvte-dev,
-               scrollkeeper,
                libsm-dev,
                docbook-to-man,
-               mate-doc-utils,
-               mate-doc-utils-gnome | gnome-doc-utils,
                libdbus-glib-1-dev,
                libdconf-dev,
-               mate-common
+               mate-common,
+               yelp-tools
 Homepage: http://www.mate-desktop.org
 
 Package: mate-terminal

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install --list-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--disable-scrollkeeper \
		--with-gtk=2.0

override_dh_strip:
	dh_strip --dbg-package=mate-terminal-dbg

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-terminal 1.8.0+dfsg1

=== debian/changelog ===
mate-terminal (1.8.0+dfsg1-3~bpo70+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Jul 2014 21:30:29 +0200

mate-terminal (1.8.0+dfsg1-3) unstable; urgency=low

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing.

  [ Mike Gabriel ]
  * debian/control: Add D (bin:package mate-terminal): mate-desktop-common.
    (Closes: #750864).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Jun 2014 21:38:20 +0200

mate-terminal (1.8.0+dfsg1-2~bpo70+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 12:35:35 +0200

mate-terminal (1.8.0+dfsg1-2) unstable; urgency=low

  * debian/rules:
    + Enable parallel builds.
    + Turn on compiler commands during package build (configure option:
      --disable-silent-rules).
    + Fix copy+paste error in tarball repacking code.
  * debian/mate-terminal.manpages:
    + Drop this file as it is redundant to upstream's make install.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 12:30:51 +0200

mate-terminal (1.8.0+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #734963).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Mar 2014 17:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: mate-terminal
-Section: mate
+Section: x11
 Priority: optional
-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
-Uploaders: Steve Zesch <stevezesch2@gmail.com>
-Standards-Version: 3.9.4
+Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 
+	   Stefano Karapetsas <stefano@karapetsas.com>,
+	   Mike Gabriel <sunweaver@debian.org>,
+	   Wences Arana <aranax@debian.org.gt>
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
                intltool,
                libx11-dev,
@@ -15,14 +18,19 @@
                libdbus-glib-1-dev,
                libdconf-dev,
                mate-common,
-               yelp-tools
+               yelp-tools,
+               python-all (>= 2.6),
 Homepage: http://www.mate-desktop.org
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/mate-terminal.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         mate-terminal-common (= ${source:Version})
+         ${python:Depends},
+         mate-terminal-common (= ${source:Version}),
+	 mate-desktop-common,
 Provides: x-terminal-emulator
 Description: MATE terminal emulator application
  MATE Terminal is a terminal emulation application that you can use to
@@ -56,7 +64,7 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends},
-         mate-terminal (= ${binary:Version})
+         mate-terminal (= ${binary:Version}),
 Description: MATE terminal emulator application (debugging symbols)
  This package contains debugging symbols for mate-terminal. It is
  provided to help debugging problem in the terminal emulator. The

=== debian/rules ===
#!/usr/bin/make -f

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

DHFLAGS=--parallel

%:
	dh $@ $(DHFLAGS) --with python2

override_dh_install:
	rm -rfv debian/tmp/usr/share/omf/
	dh_install --fail-missing

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--disable-static \
		--disable-scrollkeeper \
		--disable-schemas-compile \
		--enable-gtk-doc \
		--enable-mpaste \
		--with-gtk=2.0

override_dh_strip:
	dh_strip --dbg-package=mate-terminal-dbg

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	        help/
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

## mate-terminal 1.8.1

=== debian/changelog ===
mate-terminal (1.8.1-0+rebecca) rebecca; urgency=low

  * New upstream release

 -- Frédéric Gaudet <fred@linuxmint.com>  Tue, 14 Oct 2014 11:11:06 +0200

mate-terminal (1.8.0-0) unstable; urgency=low

  * New upstream release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 06 Mar 2014 23:25:55 +0100

## mate-terminal 1.8.1+dfsg1

=== debian/changelog ===
mate-terminal (1.8.1+dfsg1-5) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_mate-terminal-wrapper.patch. Adds support for double quoted
      strings. Adapted from gnome-terminal.wrapper. (Closes: #783000,
      LP: #1445198).

  [ Mike Gabriel ]
  * debian/control:
    +  debian/control: Make mate-terminal "Multi-Arch: foreign". (Closes:
       #774182).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 19 May 2015 16:41:43 +0200

mate-terminal (1.8.1+dfsg1-4) unstable; urgency=medium

  * debian/mate-terminal.{postinst,prerm):
    + Use mate-terminal.wrapper (instead of mater-terminal binary directly) as
      alternative for x-terminal-emulator. (Closes: #773431).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Jan 2015 10:19:40 +0100

mate-terminal (1.8.1+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 1002_fix-occasional-segfaults-at-session-startup.patch.
      Fix segfaults for mate-terminal in non-standard setups if started
      during session startup. (Closes: #769947).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Nov 2014 20:25:38 +0100

mate-terminal (1.8.1+dfsg1-2) unstable; urgency=medium

  * A changelog fixup upload. The below two changes have already been
    included in 1.8.1+dfsg1-1.

  * debian/control:
    + Add  Vangelis Mouhtsis to Uploaders: field.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Oct 2014 12:41:01 +0200

mate-terminal (1.8.1+dfsg1-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

  [ Mike Gabriel ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Oct 2014 12:33:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 
 	   Stefano Karapetsas <stefano@karapetsas.com>,
 	   Mike Gabriel <sunweaver@debian.org>,
-	   Wences Arana <aranax@debian.org.gt>
-Standards-Version: 3.9.5
+	   Wences Arana <aranax@debian.org.gt>,
+           Vangelis Mouhtsis <vangelis@gnugr.org>,
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
                intltool,
                libx11-dev,
@@ -25,6 +26,7 @@
 Vcs-Git: git://anonscm.debian.org/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
+Multi-Arch: foreign
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 override_dh_install:
 	rm -rfv debian/tmp/usr/share/omf/
 	dh_install --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 override_dh_auto_configure:
 	# upstream tarball is without configure. autogen.sh will create it

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg1// \
http://git.mate-desktop.org/mate-terminal/ \
    snapshot/mate-terminal-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## mate-terminal 1.10.0

=== debian/changelog ===
mate-terminal (1.10.0-2+rafaela) rafaela; urgency=medium

  * Changed default configuration (95% opaque background, silent bell, hide menubar by default)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jun 2015 16:19:32 +0200

mate-terminal (1.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 23 Jun 2015 17:11:11 +0300

mate-terminal (1.9.90-1) unstable; urgency=low

  * New upstream release candidate

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 06 Apr 2015 10:54:55 +0200

mate-terminal (1.9.1-1) unstable; urgency=medium

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 22 Jan 2015 10:48:57 +0100

mate-terminal (1.9.0-1) unstable; urgency=low

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 22 Apr 2014 16:13:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mate-terminal
 Section: x11
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 
 	   Stefano Karapetsas <stefano@karapetsas.com>,
 	   Mike Gabriel <sunweaver@debian.org>,
@@ -18,12 +18,11 @@
                docbook-to-man,
                libdbus-glib-1-dev,
                libdconf-dev,
+               libmate-desktop-dev (>= 1.9.0),
                mate-common,
                yelp-tools,
                python-all (>= 2.6),
 Homepage: http://www.mate-desktop.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/mate-terminal.git;a=summary
-Vcs-Git: git://anonscm.debian.org/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign
@@ -68,7 +67,17 @@
 Depends: ${misc:Depends},
          mate-terminal (= ${binary:Version}),
 Description: MATE terminal emulator application (debugging symbols)
+ MATE Terminal is a terminal emulation application that you can use to
+ perform the following actions:
+  - Access a UNIX shell in the MATE environment.
+  - Run any application that is designed to run on VT102, VT220, and xterm
+ terminals.
+ .
+ MATE Terminal features the ability to use multiple terminals in a single
+ window (tabs) and profiles support.
+ .
  This package contains debugging symbols for mate-terminal. It is
- provided to help debugging problem in the terminal emulator. The
- debugging symbols are installed in /usr/lib/debug and will
+ provided to help debugging problems.
+ .
+ The debugging symbols are installed in /usr/lib/debug and will
  automatically be used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	dh_install --fail-missing

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--disable-static \
		--with-gtk=2.0

override_dh_strip:
	dh_strip --dbg-package=mate-terminal-dbg

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-terminal 1.10.1+gfdl1

=== debian/changelog ===
mate-terminal (1.10.1+gfdl1-2) unstable; urgency=medium

  * debian/copyright:
    + Drop Files: * (wildcard). This allows lintian to detect issues with
      the copyright file.
    + Work in copyright information of newly shipped GFDL-1.2+ help files.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Aug 2015 23:27:34 +0200

mate-terminal (1.10.1+gfdl1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Drop 2001_omit-gfdl-licensed-help-files.patch, mate-terminal help
      is DFSG compliant.
  * debian/mate-terminal-common.install:
    + Add usr/share/help.
  * debian/rules:
    + Remove obsolete build option.
    + Remove +dfsg1 suffix.
  * debian/watch:
    + Remove +dfsg1 suffix.

  [ Mike Gabriel ]
  * Re-upload to unstable.
    - Temporarily use a +gfdl1 suffix to make this upload's
      upstream version greater than the previous +dfsg1 upload.
      FIXME: drop the upstream version suffix completely with next upstream
      release).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Aug 2015 23:06:02 +0200

mate-terminal (1.10.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Jul 2015 15:53:51 +0200

mate-terminal (1.10.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_mate-terminal-wrapper.patch. Applied upstream.
    + Drop 1002_fix-occasional-segfaults-at-session-startup.patch. Applied
      upstream.
  * debian/control:
    + Processed with wrap-and-sort.
  * debian/mate-terminal-common.install:
    + Processed with wrap-and-sort

  [ Mike Gabriel ]
  * debian/control:
    + Versioned B-D: mate-common (>= 1.10).
    + Add Martin Wimpress to Uploaders: field.
    + Update for latest upstream release.
  * debian/rules:
    + Create orig tarball in ../ rather than in $(CURDIR).
  * debian/patches:
    + Rebase 2001_omit-gfdl-licensed-help-files.patch. Update for this
      upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Jun 2015 14:19:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,41 @@
 Source: mate-terminal
 Section: x11
 Priority: optional
-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
-Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 
-	   Stefano Karapetsas <stefano@karapetsas.com>,
-	   Mike Gabriel <sunweaver@debian.org>,
-	   Wences Arana <aranax@debian.org.gt>,
+Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
+           Stefano Karapetsas <stefano@karapetsas.com>,
+           Mike Gabriel <sunweaver@debian.org>,
+           Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
+           Martin Wimpress <code@flexion.org>,
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
+               docbook-to-man,
                intltool,
-               libx11-dev,
-               libgtk2.0-dev,
-               libglib2.0-dev,
-               libvte-dev,
-               libsm-dev,
-               docbook-to-man,
                libdbus-glib-1-dev,
                libdconf-dev,
+               libglib2.0-dev,
+               libgtk2.0-dev,
                libmate-desktop-dev (>= 1.9.0),
-               mate-common,
+               libsm-dev,
+               libvte-dev,
+               libx11-dev,
+               mate-common (>= 1.10),
+               python-all (>= 2.6),
                yelp-tools,
-               python-all (>= 2.6),
 Homepage: http://www.mate-desktop.org
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/mate-terminal.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: mate-desktop-common,
+         mate-terminal-common (= ${source:Version}),
          ${misc:Depends},
          ${python:Depends},
-         mate-terminal-common (= ${source:Version}),
-	 mate-desktop-common,
-Provides: x-terminal-emulator
+         ${shlibs:Depends},
+Provides: x-terminal-emulator,
 Description: MATE terminal emulator application
  MATE Terminal is a terminal emulation application that you can use to
  perform the following actions:
@@ -45,9 +48,9 @@
 
 Package: mate-terminal-common
 Architecture: all
-Depends: ${misc:Depends}
-Breaks: mate-terminal (<< 1.1.0-2)
-Replaces: mate-terminal (<< 1.1.0-2)
+Depends: ${misc:Depends},
+Breaks: mate-terminal (<< 1.1.0-2),
+Replaces: mate-terminal (<< 1.1.0-2),
 Description: MATE terminal emulator application (common files)
  MATE Terminal is a terminal emulation application that you can use to
  perform the following actions:
@@ -64,8 +67,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends},
-         mate-terminal (= ${binary:Version}),
+Depends: mate-terminal (= ${binary:Version}),
+         ${misc:Depends},
 Description: MATE terminal emulator application (debugging symbols)
  MATE Terminal is a terminal emulation application that you can use to
  perform the following actions:

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,13 @@
 DHFLAGS=--parallel
 
 %:
-	dh $@ $(DHFLAGS)
+	dh $@ $(DHFLAGS) --with python2
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 override_dh_auto_configure:
 	# upstream tarball is without configure. autogen.sh will create it
@@ -14,6 +17,9 @@
 	dh_auto_configure $(DHFLAGS) -- \
 		--disable-silent-rules \
 		--disable-static \
+		--disable-schemas-compile \
+		--enable-gtk-doc \
+		--enable-mpaste \
 		--with-gtk=2.0
 
 override_dh_strip:

=== debian/watch ===
version=3
opts=uversionmangle=s/^(.*)$/${1}\+gfdl1/ \
http://git.mate-desktop.org/mate-terminal/ \
    snapshot/mate-terminal-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## mate-terminal 1.12.0

=== debian/changelog ===
mate-terminal (1.12.0-1+rosa) rosa; urgency=medium

  * New upstream release

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Nov 2015 13:21:16 +0000

mate-terminal (1.11.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Thu, 15 Oct 2015 17:02:39 +0300

mate-terminal (1.10.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 13 Jul 2015 12:05:36 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mate-terminal
 Section: x11
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
@@ -12,7 +12,6 @@
 Build-Depends: debhelper (>= 9),
                docbook-to-man,
                intltool,
-               libdbus-glib-1-dev,
                libdconf-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
@@ -24,8 +23,6 @@
                python-all (>= 2.6),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/mate-terminal.git;a=summary
-Vcs-Git: git://anonscm.debian.org/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign

## mate-terminal 1.12.1

=== debian/changelog ===
mate-terminal (1.12.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
    + Process with wrap-and-sort.
  * debian/rules:
    + Remove --enable-mpaste because the service is dead.
    + debian/rules: Remove obsolete configure options.
  * debian/control:
    + Versioned B-D: mate-common (>= 1.12) and libmate-desktop-dev (>= 1.12).
    + Remove useless libdbus-glib-1-dev build dependency.
  * debian/watch:
    + Drop +gfdl suffix.

  [ Mike Gabriel ]
    debian/copyright:
    + MATE Terminal's help files are license GFDL-1.1+, not GFDL-1.2+. Add
      GFDL-1.1+ as possible license for files/patches in debian/*.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Jan 2016 11:24:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mate-terminal
 Section: x11
 Priority: optional
-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
+Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
@@ -15,14 +15,16 @@
                libdconf-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
-               libmate-desktop-dev (>= 1.9.0),
+               libmate-desktop-dev (>= 1.12),
                libsm-dev,
                libvte-dev,
                libx11-dev,
-               mate-common (>= 1.10),
+               mate-common (>= 1.12),
                python-all (>= 2.6),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/mate-terminal.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,6 @@
 	dh_auto_configure $(DHFLAGS) -- \
 		--disable-silent-rules \
 		--disable-static \
-		--disable-schemas-compile \
-		--enable-gtk-doc \
-		--enable-mpaste \
 		--with-gtk=2.0
 
 override_dh_strip:

## mate-terminal 1.14.0

=== debian/changelog ===
mate-terminal (1.14.0-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
    + Use encrypted URLs for Vcs-*: field.
  * debian/rules:
    + Enable all hardening flags.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + B-D: libgtk-3-dev.
    + Versioned B-D: libmate-desktop-dev (>= 1.14).
    + B-D: libvte-2.91-dev. (Closes: #790186).
    + Versioned B-D: mate-common (>= 1.14)
    + Drop obsolete Python dependencies.
  * debian/rules:
    + Drop --with python2.
    + Add --with-gtk=3.0

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 May 2016 05:12:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,23 @@
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
                docbook-to-man,
+               dpkg-dev (>= 1.16.1.1),
                intltool,
                libdconf-dev,
                libglib2.0-dev,
-               libgtk2.0-dev,
-               libmate-desktop-dev (>= 1.12),
+               libgtk-3-dev,
+               libmate-desktop-dev (>= 1.14),
                libsm-dev,
-               libvte-dev,
+               libvte-2.91-dev,
                libx11-dev,
-               mate-common (>= 1.12),
-               python-all (>= 2.6),
+               mate-common (>= 1.14),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/mate-terminal.git;a=summary
-Vcs-Git: git://anonscm.debian.org/pkg-mate/mate-terminal.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign
@@ -32,7 +32,6 @@
 Depends: mate-desktop-common,
          mate-terminal-common (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends},
          ${shlibs:Depends},
 Provides: x-terminal-emulator,
 Description: MATE terminal emulator application

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,12 @@
 
 DHFLAGS=--parallel
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 %:
-	dh $@ $(DHFLAGS) --with python2
+	dh $@ $(DHFLAGS)
 
 override_dh_install:
 	dh_install --fail-missing
@@ -17,7 +21,7 @@
 	dh_auto_configure $(DHFLAGS) -- \
 		--disable-silent-rules \
 		--disable-static \
-		--with-gtk=2.0
+		--with-gtk=3.0
 
 override_dh_strip:
 	dh_strip --dbg-package=mate-terminal-dbg

## mate-terminal 1.14.1

=== debian/changelog ===
mate-terminal (1.14.1-1+sarah) sarah; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Fri, 12 Aug 2016 17:01:27 +0300

mate-terminal (1.13.2-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Thu, 10 Mar 2016 11:43:05 +0300

mate-terminal (1.13.1-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 24 Feb 2016 14:02:29 +0300

mate-terminal (1.13.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 16 Feb 2016 11:39:20 +0300

mate-terminal (1.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Nov 2015 13:21:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: mate-terminal
 Section: x11
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 3.9.8
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9),
                docbook-to-man,
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libdconf-dev,
                libglib2.0-dev,
-               libgtk-3-dev,
+               libgtk2.0-dev,
                libmate-desktop-dev (>= 1.14),
                libsm-dev,
-               libvte-2.91-dev,
+               libvte-dev,
                libx11-dev,
                mate-common (>= 1.14),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign
 Architecture: any
-Depends: mate-desktop-common,
+Depends: gsettings-desktop-schemas,
+         mate-desktop-common,
          mate-terminal-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_auto_configure $(DHFLAGS) -- \
 		--disable-silent-rules \
 		--disable-static \
-		--with-gtk=3.0
+		--with-gtk=2.0
 
 override_dh_strip:
 	dh_strip --dbg-package=mate-terminal-dbg

## mate-terminal 1.15.1

=== debian/changelog ===
mate-terminal (1.15.1-0ubuntu1) yakkety; urgency=medium

  * New upstream development release. (Closes: #836238, #836239).

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:48 +0100

mate-terminal (1.14.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. 
  * debian/control:
    + Add to D (mate-terminal): gsettings-desktop-schemas

  [ Vangelis Mouhtsis ]
  * debian/{control,rules}:
    + dbgsym: Don't build dbg:packages anymore.
      See https://wiki.debian.org/AutomaticDebugPackages.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Aug 2016 13:35:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: mate-terminal
 Section: x11
 Priority: optional
-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
+Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
                docbook-to-man,
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libdconf-dev,
                libglib2.0-dev,
-               libgtk2.0-dev,
-               libmate-desktop-dev (>= 1.14),
+               libgtk-3-dev,
                libsm-dev,
-               libvte-dev,
+               libvte-2.91-dev,
                libx11-dev,
-               mate-common (>= 1.14),
+               mate-common (>= 1.15),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
+Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign
@@ -60,24 +61,3 @@
  .
  This package contains the architecture independent files.
 
-Package: mate-terminal-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: mate-terminal (= ${binary:Version}),
-         ${misc:Depends},
-Description: MATE terminal emulator application (debugging symbols)
- MATE Terminal is a terminal emulation application that you can use to
- perform the following actions:
-  - Access a UNIX shell in the MATE environment.
-  - Run any application that is designed to run on VT102, VT220, and xterm
- terminals.
- .
- MATE Terminal features the ability to use multiple terminals in a single
- window (tabs) and profiles support.
- .
- This package contains debugging symbols for mate-terminal. It is
- provided to help debugging problems.
- .
- The debugging symbols are installed in /usr/lib/debug and will
- automatically be used by gdb.

=== debian/watch ===
version=3
http://git.mate-desktop.org/mate-terminal/ \
    snapshot/mate-terminal-(\d\.(?:[0-9]+|)[0-9]\.\d)\.tar\.xz

## mate-terminal 1.16.0

=== debian/changelog ===
mate-terminal (1.16.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
    - Fix crashes when setting applications colors caused by GTK 3.21.
      (Closes: #837977).
    - Fix crashes when adding a new terminal profile caused by GTK 3.21.
      (Closes: #836188).

  [ Vangelis Mouhtsis ]
  * debian/changelog:
    + Fix missing changelog items for 1.15.1-0ubuntu1 upload.
  * debian/control:
    + Dependencies updated for MATE 1.16.
  * debian/watch:
    + Update version matching again to _not_ support development releases.

  [ Mike Gabriel ]
  * Upstream fixes from 1.15:
    - Cmd line prompt visibility fix caused by GTK 3.21. (Closes: #836238).
    - Fix for crashes during background changing caused by GTK 3.21. (Closes:
      #836239).
  * debian/control:
    + Versioned B-Ds: libgtk-3-dev (>= 3.14) and libvte-2.91-dev (>= 0.38).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Oct 2016 09:55:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,10 @@
 	dh_auto_configure $(DHFLAGS) -- \
 		--disable-silent-rules \
 		--disable-static \
-		--with-gtk=2.0
+		--with-gtk=3.0
 
 override_dh_strip:
-	dh_strip --dbg-package=mate-terminal-dbg
+	dh_strip --dbgsym-migration='mate-terminal-dbg (<< 1.14.0-2~)'
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-terminal 1.16.1

=== debian/changelog ===
mate-terminal (1.16.1-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Dec 2016 15:11:50 -0800

mate-terminal (1.16.0-0~bpo80.obs) obs; urgency=medium

  * Backport for Debian Jessie.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 26 Sep 2016 13:17:09 -0700

mate-terminal (1.16.0-0~14.04.york0) trusty; urgency=medium

  * New upstream release

 -- Jonathon Fernyhough <jonathon.fernyhough@york.ac.uk>  Tue, 20 Sep 2016 20:14:21 +0100

mate-terminal (1.15.1-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 25 Jul 2016 12:21:06 +0300

mate-terminal (1.15.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 15 Jun 2016 10:49:58 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: mate-terminal
 Section: x11
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 3.9.8
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9),
                docbook-to-man,
                dpkg-dev (>= 1.16.1.1),
@@ -22,8 +24,6 @@
                mate-common (>= 1.15),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign
@@ -61,3 +61,24 @@
  .
  This package contains the architecture independent files.
 
+Package: mate-terminal-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: mate-terminal (= ${binary:Version}),
+         ${misc:Depends},
+Description: MATE terminal emulator application (debugging symbols)
+ MATE Terminal is a terminal emulation application that you can use to
+ perform the following actions:
+  - Access a UNIX shell in the MATE environment.
+  - Run any application that is designed to run on VT102, VT220, and xterm
+ terminals.
+ .
+ MATE Terminal features the ability to use multiple terminals in a single
+ window (tabs) and profiles support.
+ .
+ This package contains debugging symbols for mate-terminal. It is
+ provided to help debugging problems.
+ .
+ The debugging symbols are installed in /usr/lib/debug and will
+ automatically be used by gdb.

## mate-terminal 1.16.3

=== debian/changelog ===
mate-terminal (1.16.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix freezing Xorg on double click with right mouse button. (Closes:
      #862035).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 Jun 2017 21:10:29 +0200

mate-terminal (1.16.2-1) unstable; urgency=medium

  * New upstream release.
    - Bring back exit confirmation when there's a process running.
      (Closes: #856279).
    - etc., see upstream's NEWS file...

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Apr 2017 21:29:15 +0200

mate-terminal (1.16.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/control:
    + Drop unused B-D docbook-to-man.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Jan 2017 20:04:13 +0100

mate-terminal (1.16.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream bug fix release.
    - Add back --geometry positioning support.
    - Fix crash after detaching tab and then changing its title.
  * debian/rules:
    + Remove obsolete --with-gtk=3.0

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Oct 2016 08:40:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: mate-terminal
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
+Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
-               docbook-to-man,
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libdconf-dev,
                libglib2.0-dev,
-               libgtk-3-dev,
+               libgtk-3-dev (>= 3.14),
                libsm-dev,
-               libvte-2.91-dev,
+               libvte-2.91-dev (>= 0.38),
                libx11-dev,
-               mate-common (>= 1.15),
+               mate-common (>= 1.16),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
+Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign
@@ -61,24 +60,3 @@
  .
  This package contains the architecture independent files.
 
-Package: mate-terminal-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: mate-terminal (= ${binary:Version}),
-         ${misc:Depends},
-Description: MATE terminal emulator application (debugging symbols)
- MATE Terminal is a terminal emulation application that you can use to
- perform the following actions:
-  - Access a UNIX shell in the MATE environment.
-  - Run any application that is designed to run on VT102, VT220, and xterm
- terminals.
- .
- MATE Terminal features the ability to use multiple terminals in a single
- window (tabs) and profiles support.
- .
- This package contains debugging symbols for mate-terminal. It is
- provided to help debugging problems.
- .
- The debugging symbols are installed in /usr/lib/debug and will
- automatically be used by gdb.

## mate-terminal 1.18.0

=== debian/changelog ===
mate-terminal (1.18.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 13 Mar 2017 18:12:41 +0000

mate-terminal (1.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Thu, 12 Jan 2017 15:03:54 +0000

=== debian/watch ===
version=3
http://git.mate-desktop.org/mate-terminal/ \
    snapshot/mate-terminal-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz
